from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSidebarProvider(XInterface, Protocol):
    def setVisible(self, bVisible: bool) -> None: ...
    def isVisible(self) -> bool: ...
    def getFrame(self) -> XFrame: ...
    def getDecks(self) -> XDecks: ...
    def showDecks(self, bVisible: bool) -> None: ...
    def getSidebar(self) -> XSidebar: ...
